Difference between revisions of "Set (Bash)"
Jump to navigation
Jump to search
Tags: Mobile web edit, Mobile edit |
|||
Line 1: | Line 1: | ||
{{lowercase}} | {{lowercase}} | ||
− | The <code>-e</code> option will cause a bash script to exit immediately when a command [[error handling|fails]] | + | The <code>-e</code> option will cause a bash script to exit immediately when a command [[error handling|fails]]</code> |
− | + | *<code>[[set -e]] or set -o errexit </code> | |
− | + | *<code>set -eo [[pipefail]] https://vaneyckt.io/posts/safer_bash_scripts_with_set_euxo_pipefail/ | |
− | + | *<code>set -euxo [[pipefail]]</code> | |
− | + | *<code>set -eu</code> | |
− | + | *<code>[[set -o vi]]</code> | |
− | + | *<code>[[set compatible]]</code> | |
− | + | *<code>set -o [[history]] ([[Bash history]])</code> | |
− | + | *<code>set -o [[pipefail]]</code> | |
− | + | *<code>set -o errtrace</code> | |
− | + | *<code>set -u error when performing [[parameter expansion]]</code> | |
− | + | *<code>set -x print every command that is executed and every variable that is set to the standard output. Useful to [[debug]] scripts.</code> | |
== Related terms == | == Related terms == |
Revision as of 12:07, 13 September 2021
The -e
option will cause a bash script to exit immediately when a command fails
set -e or set -o errexit
set -eo pipefail https://vaneyckt.io/posts/safer_bash_scripts_with_set_euxo_pipefail/
set -euxo pipefail
set -eu
set -o vi
set compatible
set -o history (Bash history)
set -o pipefail
set -o errtrace
set -u error when performing parameter expansion
set -x print every command that is executed and every variable that is set to the standard output. Useful to debug scripts.
Related terms
Activities
See also
Bash [ -c ]
, alias
, &&
, Bash history, Autocompletion, set
, unset
, export
, .bash_aliases, .bashrc and .bash profile
, PS1
, echo
, brace expansion
, Function, shopt
, trap
, set -e
, source
, PATH
, complete
, disown
, .hushlogin
, .bashrc
, builtin
, eval
, set
, $PATH
, $HOME
, TZ
, .profile
, -e, -i
, Builtin (Bash)
, mapfile
, ~
, return (Bash), for, until, declare, dirname, basename, functions.sh
, Bash arithmetic expansion, shift, bash --rcfile, readonly, $1, $@
Advertising: